NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldFillStripBuilder Class Reference

A builder used to create or edit a single strip of the NXOpen.Weld.WeldFillBuilder . More...

Inheritance diagram for NXOpen.Weld.WeldFillStripBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void MoveToPoint (NXOpen.Point3d newCenter)
 Moves the fill strip to the input center. More...
 
unsafe void MoveDelta (double lengthDelta, double widthDelta)
 Moves the fill strip the input length and width values. More...
 
unsafe
NXOpen.Weld.WeldFillStripBuilder 
Split ()
 Splits the fill strip at the center and creates a new strip. More...
 
unsafe void StretchPositive (double lengthDelta)
 Stretches the fill strip the input length in the length direction. More...
 
unsafe void StretchNegative (double lengthDelta)
 Stretches the fill strip the input length opposite of the length direction. More...
 
unsafe void AlignPositive (NXOpen.Weld.WeldFillStripBuilder alignStrip)
 Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip. More...
 
unsafe void AlignNegative (NXOpen.Weld.WeldFillStripBuilder alignStrip)
 Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip. More...
 
unsafe void JoinPositive (NXOpen.Weld.WeldFillStripBuilder joinStrip)
 Joins the end of the fill strip, along the length direction from center, to the other fill strip input. More...
 
unsafe void JoinNegative (NXOpen.Weld.WeldFillStripBuilder joinStrip)
 Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Point3d Center [get]
 Returns the center of the fill strip. More...
 
unsafe double Length [get, set]
 Returns or sets the length of the fill strip. More...
 
unsafe bool ToBeDeleted [get, set]
 Returns or sets the flag indicating that the strip should be deleted. More...
 

Detailed Description

A builder used to create or edit a single strip of the NXOpen.Weld.WeldFillBuilder .

To create a new instance of this class, use NXOpen.Weld.WeldFillBuilder.NewFillStrip

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Weld.WeldFillStripBuilder.AlignNegative ( NXOpen.Weld.WeldFillStripBuilder  alignStrip)

Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
alignStripFill strip to align to.
unsafe void NXOpen.Weld.WeldFillStripBuilder.AlignPositive ( NXOpen.Weld.WeldFillStripBuilder  alignStrip)

Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
alignStripFill strip to align to.
unsafe void NXOpen.Weld.WeldFillStripBuilder.JoinNegative ( NXOpen.Weld.WeldFillStripBuilder  joinStrip)

Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input.

Note the caller must delete the joinStrip if desired.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
joinStripFill strip to join with.
unsafe void NXOpen.Weld.WeldFillStripBuilder.JoinPositive ( NXOpen.Weld.WeldFillStripBuilder  joinStrip)

Joins the end of the fill strip, along the length direction from center, to the other fill strip input.

Note the caller must delete the joinStrip if desired.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
joinStripFill strip to join with.
unsafe void NXOpen.Weld.WeldFillStripBuilder.MoveDelta ( double  lengthDelta,
double  widthDelta 
)

Moves the fill strip the input length and width values.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
lengthDeltaDistance to move strip in the length direction.
widthDeltaDistance to move strip in the width direction.
unsafe void NXOpen.Weld.WeldFillStripBuilder.MoveToPoint ( NXOpen.Point3d  newCenter)

Moves the fill strip to the input center.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
newCenterNew center of the fill strip
unsafe NXOpen.Weld.WeldFillStripBuilder NXOpen.Weld.WeldFillStripBuilder.Split ( )

Splits the fill strip at the center and creates a new strip.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Returns
unsafe void NXOpen.Weld.WeldFillStripBuilder.StretchNegative ( double  lengthDelta)

Stretches the fill strip the input length opposite of the length direction.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
lengthDeltaDistance to stretch the strip opposite of the length direction.
unsafe void NXOpen.Weld.WeldFillStripBuilder.StretchPositive ( double  lengthDelta)

Stretches the fill strip the input length in the length direction.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
lengthDeltaDistance to stretch the strip in the length direction.

Property Documentation

unsafe NXOpen.Point3d NXOpen.Weld.WeldFillStripBuilder.Center
get

Returns the center of the fill strip.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Weld.WeldFillStripBuilder.Length
getset

Returns or sets the length of the fill strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Weld.WeldFillStripBuilder.ToBeDeleted
getset

Returns or sets the flag indicating that the strip should be deleted.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.